%define	name	amarok
%define	version	1.1
%define	release	1mdk
%define	__libtoolize /bin/true 

Summary:	A powerful media player for Kde
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://amarok.sourceforge.net/
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
Source10:       %{name}-16.png
Source11:       %{name}-32.png
Source12:       %{name}-48.png

Patch0:		%{name}-1.0-fix-locales.patch.bz2
Patch1:		amarok-1.0.2-fix-initial-preference.patch.bz2
Patch2:		amarok-1.0.2-fix-configure.patch.bz2
Patch3:		amarok-1.0.2-fix-default-config.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel libtaglib-devel >= 1.3 kdemultimedia-devel
BuildRequires:	xmms-devel libgstreamer-devel MesaGLU-devel
BuildRequires:  libxine-devel

BuildConflicts:	libvisual0

%description
Feature Overview 
 
* Music Collection:
You have a huge music library and want to locate tracks quickly? Let amaroK's
powerful Collection take care of that! It's a database powered music store, 
which keeps track of your complete music library, allowing you to find any 
title in a matter of seconds. 
 
* Intuitive User Interface:
You will be amazed to see how easy amaroK is to use! Simply drag-and-drop files
into the playlist. No hassle with complicated  buttons or tangled menus. 
Listening to music has never been easier! 
 
* Streaming Radio:
Web streams take radio to the next level: Listen to thousands of great radio
stations on the internet, for free! amaroK provides excellent streaming
support, with advanced features, such as displaying titles of the currently
playing songs. 
 
* Context Browser:
This tool provides useful information on the music you are currently listening
to, and can make listening suggestions, based on your personal music taste. An
innovate and unique feature. 
 
* Visualizations:
amaroK is compatible with XMMS visualization plugins. Allows you to use the
great number of stunning visualizations available on the net. 3d visualizations
with OpenGL are a great way to enhance your music experience. 
 
* Multiple Audio Systems:
You have been using aRts, but would like to try GStreamer, or the innovative
NMM multimedia system? With amaroK, you can simply switch between these audio
systems at runtime, using a unique plugin based engine technology.  

%prep
%setup -q -n %name-%version
#%patch0
%patch1 -p1 -b .fix_amarok_initial_preference
%patch3 -p0 -b .fix_amarok_default_config_file

%build
export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH="$QTDIR:/%_lib:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

%{?__cputoolize: %{__cputoolize} }


%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
	%configure	--disable-rpath \
			--disable-debug \
			--disable-warnings \
			--with-xine

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -rf %{buildroot}/%_iconsdir/*
install -m644 %SOURCE10 -D %{buildroot}/%_miconsdir/%{name}.png
install -m644 %SOURCE11 -D %{buildroot}/%_iconsdir/%{name}.png
install -m644 %SOURCE12 -D %{buildroot}/%_liconsdir/%{name}.png

mkdir -p %{buildroot}/%{_menudir}

kdedesktop2mdkmenu.pl %{name} "Multimedia/Sound" $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop $RPM_BUILD_ROOT%{_menudir}/%{name} x11 Amarok

rm -rf $RPM_BUILD_ROOT/%_datadir/doc/HTML/fr/common
rm -rf $RPM_BUILD_ROOT/%_datadir/doc/HTML/et/common
rm -rf $RPM_BUILD_ROOT/%_datadir/doc/HTML/da/common
rm -rf $RPM_BUILD_ROOT/%_datadir/doc/HTML/it/common
rm -rf $RPM_BUILD_ROOT/%_datadir/doc/HTML/sv/common
rm -rf $RPM_BUILD_ROOT/%_datadir/doc/HTML/pt/common

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%{_bindir}/*
%{_libdir}/*

%{_datadir}/applications/kde/%{name}.desktop

%{_datadir}/apps/%{name}
%{_datadir}/config/%{name}rc
%{_datadir}/config.kcfg/%{name}.kcfg
%{_docdir}/HTML/*/%{name}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%{name}



%_datadir/apps/konqueror/servicemenus/amarok_append.desktop

%dir %_datadir/config.kcfg/
%_datadir/config.kcfg/gstconfig.kcfg

%dir %_datadir/doc/HTML/da/
#%doc %_datadir/doc/HTML/da/common
%doc %_datadir/doc/HTML/da/*.bz2
%doc %_datadir/doc/HTML/da/index.docbook

%dir %_datadir/doc/HTML/et/
#%doc %_datadir/doc/HTML/et/common
%doc %_datadir/doc/HTML/et/*.bz2
%doc %_datadir/doc/HTML/et/*.docbook

%dir %_datadir/doc/HTML/fr/
#%doc %_datadir/doc/HTML/fr/common
%doc %_datadir/doc/HTML/fr/*.bz2
%doc %_datadir/doc/HTML/fr/*.docbook

%dir %_datadir/doc/HTML/it/
#%doc %_datadir/doc/HTML/it/common
%doc %_datadir/doc/HTML/it/*.bz2
%doc %_datadir/doc/HTML/it/*.docbook

%dir %_datadir/doc/HTML/pt/
#%doc %_datadir/doc/HTML/pt/common
%doc %_datadir/doc/HTML/pt/*.bz2
%doc %_datadir/doc/HTML/pt/*.docbook

%dir %_datadir/doc/HTML/sv/
%doc %_datadir/doc/HTML/sv/*.png
#%doc %_datadir/doc/HTML/sv/common
%doc %_datadir/doc/HTML/sv/*.bz2
%doc %_datadir/doc/HTML/sv/*.docbook

%_datadir/services/*.desktop
%_datadir/servicetypes/*.desktop

%changelog
* Fri Oct 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1-1mdk
- 1.1

* Fri Oct 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-5mdk
- Fix default config

* Wed Sep 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-4mdk
- Fix compile

* Wed Sep 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-3mdk
- Fix initial preference

* Mon Sep 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-2mdk
- Add initialpreference

* Fri Aug 06 2004 Laurent Culioli <laurent@mandrake.org> 1.0.2-1mdk
- 1.0.2
- regenerate patch0
- use libxine 

* Mon Jun 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Fri Jun 18 2004 Laurent Culioli <laurent@mandrake.org> 1.0-2mdk
- Patch0: fix locales
- update description
- make rpmlint happy with menu

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- 1.0

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 1.0-0.beta4.2mdk
- Rebuild

* Wed Jun 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta4.1mdk
- beta4

* Thu May 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0-0.beta3.3mdk
- fix buildrequires
- don't do rm -rf $RPM_BUILD_ROOT in %%prep

* Mon May 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta3.2mdk
- Reapply patch1

* Wed May 12 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0-0.beta3.1mdk
- Update to last version

* Fri May 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta2.3mdk
- Fix crash when xmms_plugins_path not found (bug found by Nicolas Chipaux)

* Sat Apr 24 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0-0.beta2.2mdk
- Fix libxmms-devel missing build require
- Add libgstreamer support

* Sun Apr 24 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 1.0.beta2-1mdk
- update to last version

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.beta1.1mdk
- 1.0-beta1
- Fix spec file

* Wed Apr 7 2004 Laurent Culioli <laurent@mandrake.org> 0.9-2mdk
- reupload

* Sat Mar 6 2004 Bellegarde Cedric <cedric.bellegarde@wanadoo.fr> 0.9-1mdk
- Make a spec file
